Bug 1255659 - [RFE] Store lvmdump (or sosreport) as the first thing after anaconda starts
Summary: [RFE] Store lvmdump (or sosreport) as the first thing after anaconda starts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda
Version: 7.2
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Jiri Konecny
QA Contact: Release Test Team
Filip Hanzelka
URL:
Whiteboard:
Depends On:
Blocks: 1395321 1427800
TreeView+ depends on / blocked
 
Reported: 2015-08-21 09:28 UTC by Marian Csontos
Modified: 2017-08-01 08:50 UTC (History)
8 users (show)

Fixed In Version: anaconda-21.48.22.100-1
Doc Type: Enhancement
Doc Text:
"inst.debug" enables a more convenient debugging of *Anaconda* installation issues This update adds the ability to save logs related to the initial state of the machine by starting the *Anaconda* installation with the "inst.debug" boot option. This option stores three additional logs, *lsblk*, *dmesg* and *lvmdump*, in the `/tmp/pre-anaconda-logs/` directory, allowing a more convenient debugging of issues which occurred during the installation.
Clone Of:
: 1427800 (view as bug list)
Environment:
Last Closed: 2017-08-01 08:50:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1327091 None CLOSED LVM log level 7 is rather verbose and may fill the ramdisk 2019-05-20 21:16:17 UTC
Red Hat Product Errata RHBA-2017:2293 normal SHIPPED_LIVE anaconda bug fix and enhancement update 2017-08-01 12:39:44 UTC

Internal Links: 1327091

Description Marian Csontos 2015-08-21 09:28:08 UTC
Analysis of storage related issues post-mortem is rather difficult as the state of the storage before anaconda changes it is unknown and has to be reverse engineered from incomplete logs (dmesg is missing systemd related messages for example.)

Comment 2 Samantha N. Bueno 2016-01-26 17:08:55 UTC
We can always make sure to run lsblk by default into program.log -- that should dump a pretty good amount of useful information.

Comment 3 Jan Stodola 2016-02-03 14:01:00 UTC
It might also be useful to run lvdisplay/vgdisplay/pvdisplay or cat /proc/mdstat.

Some inspiration can be found in dracut's rdsosreport.sh:
http://git.kernel.org/cgit/boot/dracut/dracut.git/tree/modules.d/99base/rdsosreport.sh

Comment 5 Michal Kovarik 2016-08-09 11:56:52 UTC
Tested on RHEL-7.3-20160729.1 with anaconda-21.48.22.81-1. Service anaconda-pre.service is not available.

[anaconda root@localhost /] readlink /usr/lib/systemd/system/anaconda.target.wants/anaconda-pre.service
/lib/systemd/system/anaconda-pre.service
[anaconda root@localhost /] ls /lib/systemd/system/anaconda-pre.service
ls: cannot access /lib/systemd/system/anaconda-pre.service: No such file or directory

Comment 6 Jiri Konecny 2016-08-11 09:05:03 UTC
PR: https://github.com/rhinstaller/anaconda/pull/731

Comment 8 Peter Kotvan 2016-08-29 10:46:54 UTC
HandsOn

Comment 9 Peter Kotvan 2016-08-29 11:25:34 UTC
Verified on RHEL-7.3-20160825.1 with anaconda-21.48.22.86-1.el7.

Comment 12 Peter Kotvan 2016-08-31 05:39:07 UTC
Sounds reasonable to me.

Comment 14 Paul Wouters 2016-11-30 20:37:26 UTC
note this means a package needs to depend on socat. Funny enough, currently not a single package in rhel6 or rhel7 "Requires" socat

Comment 15 Jiri Konecny 2017-02-03 16:19:04 UTC
PR in Lorax to add new dependencies: https://github.com/rhinstaller/lorax/pull/181

PR to Anaconda: https://github.com/rhinstaller/anaconda/pull/947

Comment 16 Jiri Konecny 2017-02-03 16:21:34 UTC
Hi Paul,

I've add dependency on nmap-ncat instead of socat. So socat is still not required.

Jirka

Comment 18 Fedora Update System 2017-04-28 13:15:29 UTC
anaconda-26.21.4-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f620d8c7c2

Comment 23 errata-xmlrpc 2017-08-01 08:50:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2293


Note You need to log in before you can comment on or make changes to this bug.